Bug 508273 - Add new Isolated virtual network on host abnormally
Add new Isolated virtual network on host abnormally
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 07:44 EDT by Qunfang Zhang
Modified: 2010-03-30 04:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:50:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Better error handling when creating networks. (1.72 KB, text/plain)
2009-12-15 14:23 EST, Cole Robinson
no flags Details

  None (edit)
Description Qunfang Zhang 2009-06-26 07:44:12 EDT
Description of problem:
A unsuitble virtual network can also be added after some opration. Just like the step below. The step is a little long. Thanks for reading it!

Version-Release number of selected component (if applicable):
virt-manager-0.6.1-3.el5

How reproducible:
Always

Steps to Reproduce:
1. Launch virt-manager: #virt-manager.
2. Click Edit->Host Details.
3. Click Virtual Networks tab on Host Details window.
4. Click  + button.
5. Click Forward button on Create a new virtual network window.
6. Fill out Network name as “redhat” and click Forward button.
7. Choose an IPv4 address space and click Forward button.
8.Fill out the range of addresses on Start field and End field , then click Forward button.
9.Select “Isolated virtual network” or another then click “Forward”.
10.Click “Finish” button.
11. Add the second network named “fedora” following step 1-10, in step7,8, fill out the range of addresses on Start field and End field THAT ALREADY IN USE, then click Forward button.
12. When clicking Finish button,there will be a error poping up, prompting address already in use, close and cancel the windows.
 13.Delete the network “redhat” , you’ll find the “fedora” is added successfully.
  
Actual results:
The network “fedora”  is added after step 13.

Expected results:
The network “fedora”  won’t be added all the time.

Additional info:
Comment 1 Cole Robinson 2009-06-29 13:28:04 EDT
Okay, the issue here is that we aren't doing proper cleanup if we fail at the end of the wizard: we should undefine the network if it fails to start.

This shouldn't be a regression though, so I think it's a 5.5 candidate.
Comment 2 Cole Robinson 2009-12-15 14:23:40 EST
Created attachment 378591 [details]
Better error handling when creating networks.

This is a backport of the following upstream cset:

http://hg.fedorahosted.org/hg/virt-manager/rev/a0f49530854f
Comment 3 Cole Robinson 2009-12-15 14:42:23 EST
Fix built in virt-manager-0_6_1-9_el5
Comment 8 errata-xmlrpc 2010-03-30 04:50:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0281.html

Note You need to log in before you can comment on or make changes to this bug.